Bug 89914 - UI: Bookmarks in Status Bar display differently when window not maximized
Summary: UI: Bookmarks in Status Bar display differently when window not maximized
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: low trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Statusbar Maximized-Window
  Show dependency treegraph
 
Reported: 2015-03-09 16:20 UTC by Gordo
Modified: 2018-09-15 22:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-03-09 16:20:25 UTC
When the application window is not maximized, the bookmarks in the Status Bar appear below the mouse pointer.

There are two parts to this issue.

More than one bookmark:
1. New Text Document.
2. Type some text.
3. Insert bookmark.
4. Insert another bookmark.
5. Ensure application window is maximized.
6. Right click on Page number area of Status Bar.
Expected Result:
Bookmarks are displayed to the right and above the mouse pointer.
Result:
Bookmarks are displayed to the right and above the mouse pointer.
7. Unmaximize application window.
8. Right click on Page number area of Status Bar.
Expected Result:
Bookmarks are displayed to the right and above the mouse pointer.
Result:
Bookmarks are displayed to the right and below the mouse pointer.
On repeated attempts, it sometimes displays correctly when the bottom of the window is touching the task bar.

Only one bookmark:
1. New Text Document.
2. Type some text.
3. Insert bookmark.
4. Ensure application window is maximized.
5. Right click on Page number area of Status Bar.
Expected Result:
Bookmark is displayed to the right and above the mouse pointer.
Result:
Bookmark is displayed to the right and below the mouse pointer.
7. Unmaximize application window.
8. Right click on Page number area of Status Bar.
Expected Result:
Bookmark is displayed to the right and above the mouse pointer.
Result:
Bookmark is displayed to the right and below the mouse pointer.

Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Comment 1 Buovjaga 2015-03-20 14:07:49 UTC
Could not reproduce step 5 of "Only one bookmark". It appeared above mouse pointer.

Otherwise reproduced.

Lowering severity per https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI

Version: 4.5.0.0.alpha0+
Build ID: 181feb38d95e25980b96c2f6802cc906410abb13
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-19_23:38:28
Locale: fi_FI
Comment 2 tommy27 2016-04-16 07:25:32 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-05-22 13:27:02 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522